#ifndef SYS_TIPE_H
#define SYS_TIPE_H

typedef short          	dev_t;      /* holds (major|minor) device pair */
typedef short 			uid_t; 		/* user id */
typedef short 			gid_t;		/* group id */
typedef unsigned int 	ino_t; 		/* i-node number (V3 filesystem) */
typedef unsigned short 	mode_t;		/* file type and permission bits */
typedef short 			nlink_t;	/* number of links to a file */
typedef unsigned int 	off_t; 		/* offset within a file */
typedef int 			pid_t; 		/* process id */
typedef unsigned int 	zone_t;		/* zone number */
typedef unsigned int 	block_t;	/* block number */
typedef unsigned int 	bit_t;		/* bit number in a bit map */
typedef unsigned short 	zone1_t;	/* zone number for V1 file systems */
typedef unsigned short 	bitchunk_t; /* collection of bits in a bitmap */
typedef int time_t;               	/* time in sec since 1 Jan 1970 0000 GMT */
//N.B. Y2038 problem! Per non complicare la strutture dati che lo usano lo lascio così...

typedef unsigned char 	uint8_t;
typedef unsigned short 	uint16_t;
typedef unsigned int 	uint32_t;
typedef unsigned long 	uint64_t;


#endif
