#ifndef FS_GLO_H
#define FS_GLO_H

#include "costanti.h"
#include "inode.h"
#include "super.h"
#include "fproc.h"
#include "file.h"

extern super_block super_b[NR_SUPERS];  //puntatore all'area di memoria contenente le copie dei superblocchi
extern char *inode_map; // puntatore all'area di memoria contenente la inode bitmap
extern char *zone_map; // puntatore all'area di memoria contenente la zone bitmap
extern inode inodes_table[NR_INODES]; // puntatore all'area di memoria contenente la tabella degli inode
extern filp  filps_table[NR_FILPS]; //tabella dei file aperti di sistema
extern unsigned n_fs_init;

extern char dot1[2];   /* dot1 (&dot1[0]) and dot2 (&dot2[0]) have a special */
extern char dot2[3];   /* meaning to search_dir: no access permission check. */

//mutex globale
extern int fs_glo_mutex; 

extern int err_code;  // temporary storage for error number
extern int rdwt_err;  // status of last disk i/o request 
//extern fproc des_fproc[NUM_TSS];
#endif
