#include <sys.h>
#include <lib.h>
#include "sys/fcntl.h"
#include "sys/const.h"

//process primo body init_disco_body(0), 40, LIV_UTENTE;
//process ls body ls_body(0), 35, LIV_UTENTE;
//process leggi body leggi_body(0), 20, LIV_UTENTE;
//process crea_scrivi body crea_scrivi_body(0), 30, LIV_UTENTE;
//process editor body editor_body(0), 20, LIV_UTENTE;

const int NAME_SIZE=50;
char buf[NAME_SIZE];
natl lun = NAME_SIZE;
short shell;
short ls;
short editor;
short crea;
short cancella;
short prova;
short nullo;
int esecuz_terminata;
int condivisa = -10;

void ls_body(int a)
{
	//sem_wait(file_creato);
	flog(LOG_DEBUG,"processo ls");
	printf("ls");
//	fs_init();
	writeconsole("path:");
	readconsole(buf,lun);	

	DIR *root = opendir(buf);
	direct *d = (direct*)mem_alloc(sizeof(direct));
	direct *res = d;

	printf("inode  name \n");
	while( res != NULL ){
		readdir_r(root,d,&res);
		printf(" %d     %s",d->d_ino,d->d_name);
	}
	closedir(root);
	//pause();
	//sem_signal(file_creato);
	//fs_flush();
	
	sem_signal(esecuz_terminata);
	terminate_p();
}

void crea_scrivi_body(int a)
{
	char *buf_in = (char*)mem_alloc(lun);
	int fd;
//	fs_init();
	//while(true){
		writeconsole("creo il file:");
		readconsole(buf,lun);	
		fd = creat(buf, 0);
		//flog(LOG_DEBUG,"crea--fd:%d pathname:%s\n",fd,buf);
		printf("cosa vuoi scrivere?");
		readconsole(buf_in,lun);
		if( fd >= 0 ) {
			//copy("pippo",buf_in);
			write(fd,buf_in,strlen(buf_in));
			printf("ho scritto\n");
		}
		int err = close(fd);
		//flog(LOG_DEBUG,"!!err:%d",err);
	//}
	mem_free(buf_in);
	sem_signal(esecuz_terminata);
	//fs_flush();

	terminate_p();
}

void crea_cartella(int a){
	int fd;
	char *buf_in = (char*)mem_alloc(lun);
//	fs_init();

	writeconsole("creo la cartella:");
	readconsole(buf_in,lun);
	fd = mkdir(buf_in, 0);
	int err = close(fd);
	flog(LOG_DEBUG,"cartella creata err:%d",err);

	//fs_flush();
	mem_free(buf_in);
	sem_signal(esecuz_terminata);

	terminate_p();
}

void editor_body(int a)
{
	int b, fd;
//	fs_init();

	printf("Quale file vuoi aprire?");
	readconsole(buf,lun);
	if( strcmp(buf,"-1") == 0)
		goto fine_editor;

	fd = open(buf,O_RDWR | O_APPEND,0);
	if( fd < 0 )
		printf("File non esistente");
	else
	{
		printf("-----------------");
		printf("--%s",buf);
		
		while( (b = read(fd,buf,lun)) > 0 ){
			writeconsole(buf);
			flog(LOG_DEBUG,"!!!!!!!!!-b:%d",b);
		}
		readconsole(buf,lun);
		flog(LOG_DEBUG,"readconsole lun:%d strlen:%d",lun,strlen(buf));
		write(fd,buf,strlen(buf));
		lun = 50;
	}
	//close(fd);
fine_editor:
	//fs_flush();

	sem_signal(esecuz_terminata);
	terminate_p();
}

void cancella_body(int a)
{
//	fs_init();
	printf("Quale file vuoi cancellare?");
	readconsole(buf,lun);
	unlink(buf);	
	//fs_flush();
	sem_signal(esecuz_terminata);
	terminate_p();
}

//pid_t pid;
void shell_body(int a)
{
	//pid_t pid;
		//printf("sono il processo padre pid_figlio:%d",pid);
	while(1){
		printf("--COMANDI SHELL");
		printf("--crea-file");
		printf("--crea-cart");
		printf("--editor");
		printf("--ls");
		printf("--rm");
		readconsole(buf,lun);
		if( strcmp("ls",buf) == 0 ){
			ls = activate_p(ls_body,0,10,LIV_UTENTE);
		} else if (strcmp("editor",buf) == 0) {
			editor = activate_p(editor_body,0,10,LIV_UTENTE);
		} else if (strcmp("crea-file",buf) == 0) {
			crea = activate_p(crea_scrivi_body,0,10,LIV_UTENTE);
		} else if (strcmp("crea-cart",buf) == 0){
			crea = activate_p(crea_cartella,0,10,LIV_UTENTE);
		} else if (strcmp("rm",buf) == 0){
			cancella = activate_p(cancella_body,0,10,LIV_UTENTE);
		} else {
			printf("comando errato");
			break;
		} 
		sem_wait(esecuz_terminata);
	}
	terminate_p();
}


void prova_fork(int a)
{
	pid_t p;
	natq b[50];
	int fd = 10;
	pid_t ppid;
	pid_t pid;
	fd = open("f.txt",O_WRONLY | O_CREAT | O_TRUNC);

	flog(LOG_DEBUG,"utente - fd:%d",fd);
	for(int k=0; k<50; k++){
		b[k] = k;
	//	flog(LOG_DEBUG,"b[%d]=%d",k,b[k]);
	}
	
	for(int i=0; i<2; i++) {
		p = fork();
		if( p == 0 )
		{
			pid = getpid();
			ppid = getppid();
			condivisa++;
			flog(LOG_DEBUG,"sono il figlio. fd:%d i:%d condivisa:%d &condivisa:%p",fd,i,condivisa,&condivisa);
			printf("sono il figlio. pid:%d pid_padre:%d fd=%d",pid,ppid,fd);
			//flog(LOG_DEBUG,"sono il figlio. pid:%d pid_padre:%d fd:%d i:%d &i:%p &b:%p",getpid(),getppid(),fd,i,&i,&b);
			if( fd >= 0 ) {
				write(fd,"figlio",6);
			}
			for(int k=0; k<50; k++){
			//	flog(LOG_DEBUG,"b[%d]=%d fd=%d i=%d &k=%p",k,b[k],fd,i,&k);
			//	flog(LOG_DEBUG,"k=%d",k);
				//printf("b[%d]=%d",k,b[k]);
				flog(LOG_DEBUG,"b[%d]=%d",k,b[k]);
			}
			//fs_flush();
			//terminate_p();
		} else if( p==-1 ){
			flog(LOG_DEBUG,"errore fork");
			terminate_p();
		} else  {
			printf("sono il padre. pid_figlio:%d fd:%d",p,fd);
			if( fd >= 0 ) {
				write(fd,"padre",5);
			}
			//flog(LOG_DEBUG,"sono il padre. pid_figlio:%d fd:%d i=%d &i=%p &b:%p",p,fd,i,&i,&b);
		}
	}
	//fs_flush();
	//pause();
	terminate_p();
}

void leggi_condivisa(int a)
{
	flog(LOG_DEBUG,"condivisa:%d",condivisa);
	terminate_p();
}

extern void processo_nullo(int a);
int main()
{
	//natq *p = reinterpret_cast<natq*>(0xFFFF800000202C68);
	//printf("pid:%d uid:%d",getpid(),getuid());
	//shell = activate_p(shell_body, 0, 10, LIV_UTENTE);
	prova = activate_p(prova_fork,0,20,LIV_UTENTE);
	//shell = activate_p(leggi_condivisa,0,4,LIV_UTENTE);
	//prova = activate_p(processo_nullo,0,20,LIV_UTENTE);
	
//	pause();
	terminate_p();
}
