# utente.s
#
#include <costanti.h>
#include <sys/callnr.h>

# Tipi di interruzione per le chiamate di sistema e per le primitive di IO
#

	.text
	.global activate_p
activate_p:
	int $TIPO_A
	ret

	.global terminate_p
terminate_p:
	int $TIPO_T
	ret

	.global sem_ini
sem_ini:
	int $TIPO_SI
	ret

	.global sem_wait
sem_wait:
	int $TIPO_W
	ret

	.global sem_signal
sem_signal:
	int $TIPO_S
	ret

	.global delay
delay:
	int $TIPO_D
	ret

	.global readse_n
readse_n:
	int $IO_TIPO_RSEN
	ret

	.global readse_ln
readse_ln:
	int $IO_TIPO_RSELN
	ret

	.global writese_n
writese_n:
	int $IO_TIPO_WSEN
	ret

	.global writese_0
writese_0:
	int $IO_TIPO_WSE0
	ret

	.global readconsole
readconsole:
	int $IO_TIPO_RCON
	ret

	.global writeconsole
writeconsole:
	int $IO_TIPO_WCON
	ret

	.global iniconsole
iniconsole:
	int $IO_TIPO_INIC
	ret

	.global log
log:
	int $TIPO_L
	ret


// TESI
	.global fork
fork:
	mov $FORK, %rax
	int $SYS_CALL
	ret

	.global _Z4openPKci
	.global _Z4openPKcit
_Z4openPKci:
	xor %rdx, %rdx
_Z4openPKcit:
	mov $OPEN, %rax
	int $FS_CALL
	ret

	.global creat
creat:
	mov $CREAT, %rax
	int $FS_CALL	
	ret

	.global close
close:
	mov $CLOSE, %rax
	int $FS_CALL
	ret

	.global read
read:
	mov $READ, %rax
	int $FS_CALL
	ret

	.global write
write:
	mov $WRITE, %rax
	int $FS_CALL
	ret

	.global unlink
unlink:
	mov $UNLINK, %rax
	int $FS_CALL
	ret

    .global getpid
getpid:
	mov $GETPID, %rax	
	int $SYS_CALL
	ret

	.global getppid
getppid:
	mov $GETPPID, %rax
	int $SYS_CALL
	ret

	.global getuid
getuid:
	mov $GETUID, %rax
	int $SYS_CALL
	ret

	.global getgid
getgid:
	mov $GETGID, %rax
	int $SYS_CALL	
	ret

	.global sys_call_opendir
sys_call_opendir:
	int $FS_TIPO_OPENDIR
	ret

	.global mkdir
mkdir:
	mov $MKDIR, %rax
	int $FS_CALL
	ret

	.global rmdir
rmdir:
	mov $RMDIR, %rax
	int $FS_CALL
	ret

	.global _start, start
_start:
start:
	call lib_init
	jmp main
